Subject: bug#25210: 25.1; shr-use-font nil may use too much memory

From: Lars Ingebrigtsen <[email-masked]>
Date: Tue, 24 Jan 2017 21:20:02 +0100

Lars Ingebrigtsen <[email-masked]> writes:

> Christophe Troestler <[email-masked]> writes:
>
>> (I know the HTML is invalid but this is how the email message came.)
>
> I think the HTML is valid, but libxml2 hasn't been updated, so it parses
> it wrong...

It is, in any case, not an Emacs bug, but a libxml2 bug: It doesn't
parse "<dd>foo<dd>bar" correctly.  The </dd> is optional in HTML.

I'm closing this report -- you should notify the libxml2 maintainer.

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no